Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodecommentnodename Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodecommentnodename (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeName()" method for a Comment Node is "comment".

Retrieve the Comment node in the XML file and check the string returned by the "getNodeName()" method. It should be equal to "comment".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D095 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1728279322

Definition at line 45 of file nodecommentnodename.java.

## Constructor & Destructor Documentation

nodecommentnodename::nodecommentnodename | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file nodecommentnodename.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String nodecommentnodename::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 77 of file nodecommentnodename.java.
    00077                                 {
    00078       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodecommentnodename";
    00079    }

void nodecommentnodename::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 80 of file nodecommentnodename.java. References DOMTestCase::doMain().
    00080                                           {
    00081         DOMTestCase.doMain(nodecommentnodename.class,args);
    00082    }

void nodecommentnodename::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file nodecommentnodename.java. References DOMTestCase::assertEquals(), DOMTestCase::equals(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       NodeList elementList;
    00056       Node commentNode;
    00057       int nodeType;
    00058       String commentName;
    00059       String commentNodeName;
    00060       doc = load("staff");
    00061       elementList = doc.getChildNodes();
    00062       for(int _index = 0; _index < elementList.getLength();_index++) {
    00063       commentNode = ( Node ) elementList.item(_index);
    00064            nodeType = (int)commentNode.getNodeType();
    00065
    00066         if(
    00067         equals(8,nodeType)
    00068         ) {
    00069         commentNodeName = commentNode.getNodeName();
    00070       assertEquals("nodeCommentNodeNameAssert1","#comment",commentNodeName);
    00071
    00072         }
    00073
    00074         }
    00075
    00076    }

The documentation for this class was generated from the following file:

- nodecommentnodename.java